# Class ImageUtilities

java.lang.Object
org.eclipse.ui.texteditor.ImageUtilities

@Deprecated public class ImageUtilities extends Object
Deprecated.
As of 3.0, replaced by `ImageUtilities`

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ImageUtilities()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static void`
`drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int align)`
Deprecated.
As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int)`
`static void`
`drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int halign, int valign)`
Deprecated.
As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int, int)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageUtilities

public ImageUtilities()
Deprecated.

## Method Details

### drawImage

@Deprecated public static void drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int halign, int valign)
Deprecated.
As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int, int)`
Draws an image aligned inside the given rectangle on the given canvas.

Parameters:
  `image` - the image to be drawn
  `gc` - the drawing GC
  `canvas` - the canvas on which to draw
  `r` - the clipping rectangle
  `halign` - the horizontal alignment of the image to be drawn
  `valign` - the vertical alignment of the image to be drawn

### drawImage

@Deprecated public static void drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int align)
Deprecated.
As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int)`
Draws an image aligned inside the given rectangle on the given canvas.

Parameters:
  `image` - the image to be drawn
  `gc` - the drawing GC
  `canvas` - the canvas on which to draw
  `r` - the clipping rectangle
  `align` - the alignment of the image to be drawn